# forTasks

abstract fun forTasks(tasks: Array<String>): ModelBuilder<T>

Specifies the tasks to execute before building the model.

If not configured, null, or an empty array is passed, then no tasks will be executed.

If the target Gradle version is >=6.8 then you can execute tasks from included builds. You can target tasks from included builds by specifying the task identity path (i.e. `':included-build-name:subproject-name:taskName'`).

#### Return

this

#### Since

1.2

#### Parameters

tasks

The paths of the tasks to be executed. Relative paths are evaluated relative to the project for which this launcher was created.

abstract fun forTasks(tasks: Iterable<String>): ModelBuilder<T>

Specifies the tasks to execute before building the model.

If not configured, null, or an empty array is passed, then no tasks will be executed.

If the target Gradle version is >=6.8 then you can execute tasks from included builds. You can target tasks from included builds by specifying the task identity path (i.e. `':included-build-name:subproject-name:taskName'`).

#### Return

this

#### Since

2.6

#### Parameters

tasks

The paths of the tasks to be executed. Relative paths are evaluated relative to the project for which this launcher was created.